alt.javax.mail

## Interface Session

- All Known Implementing Classes:
    MockSession, SessionImpl

      public interface Session

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getDebug()`
    `Session` | `getDefaultInstance(java.util.Properties props)`
    `Session` | `getDefaultInstance(java.util.Properties props, Authenticator authenticator)`
    `Folder` | `getFolder(URLName url)`
    `Session` | `getInstance(java.util.Properties props)`
    `Session` | `getInstance(java.util.Properties props, Authenticator authenticator)`
    `PasswordAuthentication` | `getPasswordAuthentication(URLName url)`
    `java.util.Properties` | `getProperties()`
    `java.lang.String` | `getProperty(java.lang.String name)`
    `Provider` | `getProvider(java.lang.String protocol)`
    `Provider[]` | `getProviders()`
    `Store` | `getStore()`
    `Store` | `getStore(Provider provider)`
    `Store` | `getStore(java.lang.String protocol)`
    `Store` | `getStore(URLName url)`
    `Transport` | `getTransport()`
    `Transport` | `getTransport(Address address)`
    `Transport` | `getTransport(Provider provider)`
    `Transport` | `getTransport(java.lang.String protocol)`
    `Transport` | `getTransport(URLName url)`
    `javax.mail.Session` | `getWrappedSession()`
    `PasswordAuthentication` | `requestPasswordAuthentication(java.net.InetAddress addr, int port, java.lang.String protocol, java.lang.String prompt, java.lang.String defaultUserName)`
    `void` | `setDebug(boolean debug)`
    `void` | `setPasswordAuthentication(URLName url, PasswordAuthentication pw)`
    `void` | `setProvider(Provider provider)`

- - ### Method Detail

    - #### getInstance

          Session getInstance(java.util.Properties props,
                              Authenticator authenticator)

    - #### getInstance

          Session getInstance(java.util.Properties props)

    - #### getDefaultInstance

          Session getDefaultInstance(java.util.Properties props,
                                     Authenticator authenticator)

    - #### getDefaultInstance

          Session getDefaultInstance(java.util.Properties props)

    - #### setDebug

          void setDebug(boolean debug)

    - #### getDebug

          boolean getDebug()

    - #### getProviders

          Provider[] getProviders()

    - #### getProvider

          Provider getProvider(java.lang.String protocol)
                        throws NoSuchProviderException

      Throws:
        `NoSuchProviderException`

    - #### setProvider

          void setProvider(Provider provider)
                    throws NoSuchProviderException

      Throws:
        `NoSuchProviderException`

    - #### getStore

          Store getStore()
                  throws NoSuchProviderException

      Throws:
        `NoSuchProviderException`

    - #### getStore

          Store getStore(java.lang.String protocol)
                  throws NoSuchProviderException

      Throws:
        `NoSuchProviderException`

    - #### getStore

          Store getStore(URLName url)
                  throws NoSuchProviderException

      Throws:
        `NoSuchProviderException`

    - #### getStore

          Store getStore(Provider provider)
                  throws NoSuchProviderException

      Throws:
        `NoSuchProviderException`

    - #### getFolder

          Folder getFolder(URLName url)
                    throws MessagingException

      Throws:
        `MessagingException`

    - #### getTransport

          Transport getTransport()
                          throws NoSuchProviderException

      Throws:
        `NoSuchProviderException`

    - #### getTransport

          Transport getTransport(java.lang.String protocol)
                          throws NoSuchProviderException

      Throws:
        `NoSuchProviderException`

    - #### getTransport

          Transport getTransport(URLName url)
                          throws NoSuchProviderException

      Throws:
        `NoSuchProviderException`

    - #### getTransport

          Transport getTransport(Provider provider)
                          throws NoSuchProviderException

      Throws:
        `NoSuchProviderException`

    - #### getTransport

          Transport getTransport(Address address)
                          throws NoSuchProviderException

      Throws:
        `NoSuchProviderException`

    - #### setPasswordAuthentication

          void setPasswordAuthentication(URLName url,
                                         PasswordAuthentication pw)

    - #### getPasswordAuthentication

          PasswordAuthentication getPasswordAuthentication(URLName url)

    - #### requestPasswordAuthentication

          PasswordAuthentication requestPasswordAuthentication(java.net.InetAddress addr,
                                                               int port,
                                                               java.lang.String protocol,
                                                               java.lang.String prompt,
                                                               java.lang.String defaultUserName)

    - #### getProperties

          java.util.Properties getProperties()

    - #### getProperty

          java.lang.String getProperty(java.lang.String name)

    - #### getWrappedSession

          javax.mail.Session getWrappedSession()

Copyright © 2002 Mock Objects. All Rights Reserved.